IMPLEMENTATION MODULE UserLib; 

  (*------------------------------------------------------------------------*)
  (* Letzte Bearbeitung:                                                    *)
  (*                                                                        *)
  (* 28.03.97, MRi.: Durchsicht (m2fanal)                                   *)
  (* 25.09.15, MRi.: GetFullUserName auskommentiert (unsicher)              *)
  (*------------------------------------------------------------------------*)

  (*
   * $Id$
   *)

FROM SYSTEM   IMPORT ADR;
FROM UnixLib  IMPORT StrPtr,getlogin;
              IMPORT StringsLib;
(*
FROM UnixLib  IMPORT uid_t,geteuid,getpw;
FROM TokenLib IMPORT StringTok,Token;

PROCEDURE GetFullUserName(VAR UserName     : ARRAY OF CHAR;
                          VAR LongUserName : ARRAY OF CHAR);

          (* Ermittelt den effektiven Login-Namen des Benutzers  *)
          (* (UserName) sowie den vollen Usernamen aus der Datei *)
          (* /etc/passwd.                                        *)

          VAR Puffer  : ARRAY [0..128] OF CHAR;
              uid     : uid_t;
              NToken  : CARDINAL;
              Tokens  : ARRAY [0..63] OF Token;
              Trenner : ARRAY [0..1] OF CHAR;
              done    : BOOLEAN;

BEGIN
      uid := geteuid();
 
      getpw(uid,ADR(Puffer));

      Trenner := ":";
      StringTok(Puffer,Trenner,FALSE,Tokens,NToken,done);

      StringsLib.Copy(UserName    ,Tokens[0]);
      StringsLib.Copy(LongUserName,Tokens[4]);
END GetFullUserName;
*)
PROCEDURE GetUserName(VAR UserName : ARRAY OF CHAR);

          (* Ermittelt den Login-Namen des Benutzers. *)

          VAR Name : StrPtr;

BEGIN
      Name := getlogin();

      IF (Name = NIL) THEN
        StringsLib.Copy(UserName," ??? ");
      ELSE
        StringsLib.Copy(UserName,Name^);
      END;
END GetUserName;

END UserLib.
