#!/bin/bash

# Script looks for files with name *.def.cpp or *.mod.cpp and runs them
# through cpp to adopt them to specific M2 compilers
# 
# Last change
#
# M.Riedl, 11.01.2015 Initial version

M2C="__MOCKA__"
M2C="__GM2__"
M2C="__XDS__"

for i in *.def.m2pp; do
  echo "Verarbeite " $i
  base=`basename $i .m2pp`
# cpp $i -D $M2C | sed -e '/^#/d' > ${base}
  ./m2pp -D $M2C < $i > ${base}
done

for i in *.mod.m2pp; do
  echo "Verarbeite " $i
  base=`basename $i .m2pp`
# cpp $i -D $M2C | sed -e '/^#/d' > ${base}
  ./m2pp -D $M2C < $i > ${base}
done

